# Class GroovyForkOptions

java.lang.Object
org.gradle.api.tasks.compile.AbstractOptions
org.gradle.api.tasks.compile.BaseForkOptions
org.gradle.api.tasks.compile.GroovyForkOptions

All Implemented Interfaces:
  `Serializable`

public class GroovyForkOptions extends BaseForkOptions
Fork options for Groovy compilation. Only take effect if `GroovyCompileOptions.fork` is `true`.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`GroovyForkOptions()`

## Method Summary

### Methods inherited from class BaseForkOptions

`excludeFromAntProperties, getJvmArgs, getMemoryInitialSize, getMemoryMaximumSize, setJvmArgs, setMemoryInitialSize, setMemoryMaximumSize`

### Methods inherited from class AbstractOptions

`define, getAntPropertyName, getAntPropertyValue, optionMap`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GroovyForkOptions

public GroovyForkOptions()